%define name    qxgedit
%define version 0.4.2
%define release 9

%define _prefix	/usr

%if %{defined fedora}
%define debug_package %{nil}
%endif

Summary:	Qt XG Editor
Name: qxgedit
Version: 0.4.2
Release: 9.rncbc.suse
License:	GPL-2.0+
Group:		Productivity/Multimedia/Sound/Midi
Source0:	%{name}-%{version}.tar.gz
URL:		http://qxgedit.sourceforge.net/
#Packager:	rncbc.org

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

#BuildRequires:	libqt4-devel >= 4.4
%if %{defined fedora}
BuildRequires:	pkgconfig
BuildRequires:	qt5-qtbase-devel >= 5.1, qt5-linguist
BuildRequires:	qt5-qtx11extras-devel >= 5.1
BuildRequires:	alsa-lib-devel
%else
BuildRequires:	pkg-config
BuildRequires:	libqt5-qtbase-devel >= 5.1, libqt5-linguist
BuildRequires:	libqt5-qtx11extras-devel >= 5.1
BuildRequires:	alsa-devel
%endif

%description
QXGEdit is a Qt GUI for editing MIDI System Exclusive files
for XG devices (eg. Yamaha DB50XG). 

%prep
%setup
[ -x ./autogen.sh ] && ./autogen.sh

%build
%configure
%__make %{?_smp_mflags}

%install
%__make DESTDIR="%{buildroot}" install

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
#dir %{_datadir}/applications
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_libdir}/qt5
%dir %{_libdir}/qt5/plugins
%dir %{_libdir}/qt5/plugins/styles
%dir %{_datadir}/appdata
#dir %{_datadir}/man
#dir %{_datadir}/man/man1
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_libdir}/qt5/plugins/styles/libskulpturestyle.so
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/man/man1/%{name}.1.gz

%changelog
* Mon Nov 14 2016 Rui Nuno Capela <rncbc@rncbc.org> 0.4.2
- A Fall'16 release.
* Wed Sep 14 2016 Rui Nuno Capela <rncbc@rncbc.org> 0.4.1
- End of Summer'16 release.
* Tue Apr  5 2016 Rui Nuno Capela <rncbc@rncbc.org> 0.4.0
- Spring'16 release frenzy.
* Mon Sep 21 2015 Rui Nuno Capela <rncbc@rncbc.org> 0.3.0
- Summer'15 release frenzy.
* Wed Mar  4 2015 Rui Nuno Capela <rncbc@rncbc.org> 0.2.0
- Fifth public release.
* Tue Dec 31 2013 Rui Nuno Capela <rncbc@rncbc.org> 0.1.2
- A fifth of a Jubilee release.
* Sat Sep 17 2011 Rui Nuno Capela <rncbc@rncbc.org> 0.1.1
- Third public release. 
* Mon May 17 2010 Rui Nuno Capela <rncbc@rncbc.org>
- Standard desktop icon fixing. 
* Wed Apr 21 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.1.1
- Second public release.
* Sat Sep 19 2009 Rui Nuno Capela <rncbc@rncbc.org> 0.0.1
- First public release.
- Added skulpture theme/style plugin.
* Mon Jul 20 2009 Rui Nuno Capela <rncbc@rncbc.org>
- Created initial qxgedit.spec
